---
title: "Gets a Credit Note with Credit Note Items by Supplier Return id and Credit Note id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-supplierreturns-id-creditnotes-note_id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets a Credit Note with Credit Note Items by Supplier Return id and Credit Note id

`GET` `/supplierreturns/{id}/creditnotes/{note_id}`

Operation ID: `get-supplierreturns-id-creditnotes-note_id`

Gets a Credit Note with Credit Note Items by Supplier Return id and Credit Note id

## Path parameters

- `id` (integer, int32, required) - Supplier Return id
- `note_id` (integer, int32, required) - Credit Note id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Credit Note
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Credit Note not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierreturns/{id}/creditnotes/{note_id}:
    get:
      tags:
        - supplierreturns
      summary: Gets a Credit Note with Credit Note Items by Supplier Return id and
        Credit Note id
      description: Gets a Credit Note with Credit Note Items by Supplier Return id and
        Credit Note id
      operationId: get-supplierreturns-id-creditnotes-note_id
      parameters:
        - name: id
          in: path
          description: Supplier Return id
          required: true
          schema:
            type: integer
            description: Supplier Return id
            format: int32
        - name: note_id
          in: path
          description: Credit Note id
          required: true
          schema:
            type: integer
            description: Credit Note id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Credit Note
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierReturnsCreditNote"
              example:
                id: 0
                supplier_return_id: 0
                supplier:
                  id: 0
                  supplier_code: string
                  name: string
                  is_enabled: true
                  modified_on: string
                outlet:
                  id: 0
                  name: string
                  modified_on: string
                supplier_reference: string
                include_tax: false
                rounding_adjustment: 0
                total_credit_quantity: 0
                total_credit_amount_ex: 0
                total_credit_amount_tax: 0
                total_credit_amount_inc: 0
                total_applied_credit_quantity: 0
                total_applied_credit_amount_ex: 0
                total_applied_credit_amount_inc: 0
                total_applied_credit_tax: 0
                credit_note_items:
                  - id: 0
                    supplier_return_item_id: 0
                created_on: string
                modified_on: string
                supplier_credited_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Credit Note not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierReturnsCreditNote:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note id
          format: int32
          nullable: true
        supplier_return_id:
          type: integer
          description: Supplier Return id
          format: int32
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        outlet:
          $ref: "#/components/schemas/OutletExtended"
        supplier_reference:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier reference
          nullable: true
        include_tax:
          type: boolean
          description: Include tax
          default: false
          nullable: true
        rounding_adjustment:
          type: number
          description: Rounding Adjustment
          format: double
        total_credit_quantity:
          type: integer
          description: Total credit quantity
          format: int32
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
        total_credit_amount_tax:
          type: number
          description: Total Credit Amount Tax
          format: double
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
        total_applied_credit_quantity:
          type: integer
          description: Total Applied Credit Quantity
          format: int32
        total_applied_credit_amount_ex:
          type: number
          description: Total Applied Credit Amount Ex
          format: double
        total_applied_credit_amount_inc:
          type: number
          description: Total Applied Credit Amount Inc
          format: double
        total_applied_credit_tax:
          type: number
          description: Total Applied Credit Tax
          format: double
        credit_note_items:
          type: array
          items:
            $ref: "#/components/schemas/CreditNoteItemLimited"
          description: List of Credit Note items
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        supplier_credited_on:
          type: string
          description: Supplier Credited On
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Credit Note model for ​/supplierreturn​/{id}​/creditnotes endpoint
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    OutletExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    CreditNoteItemLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note Item id
          format: int32
          nullable: true
        supplier_return_item_id:
          type: integer
          description: Supplier Return Item id
          format: int32
          nullable: true
      additionalProperties: false
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
```
